with Xlbt_Image;  
use Xlbt_Image;  

package Tile_Bits is  
------------------------------------------------------------------------------  
-- Dragon - a version of Mah-Jongg for X Windows  
--  
-- Author: Gary E. Barnes        March 1989  
--  
-- tile_bits - Mah-Jongg tile bitmap data.  
------------------------------------------------------------------------------  
-- 05/30/90 GEB  - Translate to Ada  
------------------------------------------------------------------------------  

    Spring : X_Image;  
    Summer : X_Image;  
    Fall   : X_Image;  
    Winter : X_Image;  

    Bamboo : X_Image;  
    Mum    : X_Image;  
    Orchid : X_Image;  
    Plum   : X_Image;  

    Gdragon : X_Image;  
    Rdragon : X_Image;  
    Wdragon : X_Image;  

    East  : X_Image;  
    West  : X_Image;  
    North : X_Image;  
    South : X_Image;  

    One   : X_Image;  
    Two   : X_Image;  
    Three : X_Image;  
    Four  : X_Image;  
    Five  : X_Image;  
    Six   : X_Image;  
    Seven : X_Image;  
    Eight : X_Image;  
    Nine  : X_Image;  

    Bam  : X_Image;  
    Crak : X_Image;  
    Dot  : X_Image;  

    procedure Setup_Images (Size : Natural);  

end Tile_Bits;  

