with Xlbmt_Network_Types;  
use Xlbmt_Network_Types;  

package Xlbit_Library2 is  
------------------------------------------------------------------------------  
-- X Library Internal State  
--  
-- Xlbit_Library2 - Access to Library State.  This module exists to eliminate  
-- what would otherwise be a circularity in the elaboration order of certain  
-- initialization code.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
----Use this for anything that may need multi-task locking but which cannot  
--  (or doesn't want to) use the X_Lib task or a X_Display mutex for that  
--  locking.  

    Mutex : constant X_Mutex := new X_Mutex_Rec;  

end Xlbit_Library2;  

