with Xlbt_Context_Manager3;  

package Xlbt_Context_Manager is  
------------------------------------------------------------------------------  
-- X Library Context Manager - Normal User Interface  
--  
-- Xlbt_Context_Manager - Types dealing with Context Management  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1987 - 1989 by Digital Equipment Corporation, Maynard, Mass.  
-- Copyright 1987 - 1989 by Massachusetts Institute of Technology,  
--                          Cambridge, Massachusetts.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of Digital, MIT, or Rational  
-- not be used in advertising or publicity pertaining to distribution of  
-- the software without specific, written prior permission.  
--  
-- Digital, MIT, and Rational disclaim all warranties with regard to this  
-- software, including all implied warranties of merchantability and fitness,  
-- in no event shall Digital, MIT, or Rational be liable for any special,  
-- indirect or consequential damages or any damages whatsoever resulting from  
-- loss of use, data or profits, whether in an action of contract, negligence  
-- or other tortious action, arising out of or in connection with the use or  
-- performance of this software.  
------------------------------------------------------------------------------  

--/ if OLD_CONTEXT_MANAGER then  
--
  
    package C3 renames Xlbt_Context_Manager3;  
 
------------------------------------------------------------------------------  
-- X_Associative_Returns  
--  
--      Xc_Success      - No error.  
--      Xc_No_Mem       - Out of memory.  
--      Xc_No_Ent       - No entry in table.  
------------------------------------------------------------------------------  
 
    subtype X_Associative_Returns is C3.X_Associative_Returns;  
 
    Xc_Success : constant X_Associative_Returns := C3.Xc_Success;  
    Xc_No_Mem  : constant X_Associative_Returns := C3.Xc_No_Mem;  
    Xc_No_Ent  : constant X_Associative_Returns := C3.Xc_No_Ent;  
 
    function "=" (A, B : X_Associative_Returns) return Boolean renames C3."=";  
 
------------------------------------------------------------------------------  
-- X_Context  
------------------------------------------------------------------------------  
 
    subtype X_Context is C3.X_Context;  
 
    None_X_Context : X_Context renames C3.None_X_Context;  
 
    function "=" (A, B : X_Context) return Boolean renames C3."=";  
 
--/ end if;  

end Xlbt_Context_Manager;  

