with Xlbt_Font3;  

package Xlbt_Font2 is  
------------------------------------------------------------------------------  
-- X Library Font - Extended User Interface  
--  
-- Xlbt_Font2 - Types relating to X Server fonts.  
--------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
    package F3 renames Xlbt_Font3;  

------------------------------------------------------------------------------  
-- X_Char_Struct  
------------------------------------------------------------------------------  

    subtype X_Char_Struct_Array_2d is F3.X_Char_Struct_Array_2d;  

------------------------------------------------------------------------------  
-- X_Font_Prop - Font Properties  
------------------------------------------------------------------------------  

    subtype X_Font_Prop       is F3.X_Font_Prop;  
    subtype X_Font_Prop_Array is F3.X_Font_Prop_Array;  
    subtype X_Font_Prop_List  is F3.X_Font_Prop_List;  

    None_X_Font_Prop      : X_Font_Prop      renames F3.None_X_Font_Prop;  
    None_X_Font_Prop_List : X_Font_Prop_List renames F3.None_X_Font_Prop_List;  

    function "=" (A, B : X_Font_Prop_List) return Boolean renames F3."=";  

    procedure Free_X_Font_Prop_List (List : in out X_Font_Prop_List)  
        renames F3.Free_X_Font_Prop_List;  

------------------------------------------------------------------------------  
-- X_Font_Struct_Rec  
------------------------------------------------------------------------------  

    subtype X_Font_Struct_Rec is F3.X_Font_Struct_Rec;  

    subtype X_Font_Struct_Array is F3.X_Font_Struct_Array;  

end Xlbt_Font2;  

