with Xlbt_Key;  
use Xlbt_Key;  

package Xlbt_Key_Defs_Latin3 is  
------------------------------------------------------------------------------  
-- X Library Key Symbol Definitions - Latin3  
--  
-- Xlbt_Key_Defs_Latin3 - Definitions of the various pre-defined X Key Symbols  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
------------------------------------------------------------------------------  
--   Latin 3  
--   Byte 3 = 2  
------------------------------------------------------------------------------  

    Xk_S_Hstroke     : constant X_Key_Sym := 16#02A1#; -- XK_Hstroke  
    Xk_S_Hcircumflex : constant X_Key_Sym := 16#02A6#; -- XK_Hcircumflex  
    Xk_Iabovedot     : constant X_Key_Sym := 16#02A9#; -- XK_Iabovedot  
    Xk_S_Gbreve      : constant X_Key_Sym := 16#02AB#; -- XK_Gbreve  
    Xk_S_Jcircumflex : constant X_Key_Sym := 16#02AC#; -- XK_Jcircumflex  
    Xk_Hstroke       : constant X_Key_Sym := 16#02B1#; -- XK_hstroke  
    Xk_Hcircumflex   : constant X_Key_Sym := 16#02B6#; -- XK_hcircumflex  
    Xk_Idotless      : constant X_Key_Sym := 16#02B9#; -- XK_idotless  
    Xk_Gbreve        : constant X_Key_Sym := 16#02BB#; -- XK_gbreve  
    Xk_Jcircumflex   : constant X_Key_Sym := 16#02BC#; -- XK_jcircumflex  
    Xk_S_Cabovedot   : constant X_Key_Sym := 16#02C5#; -- XK_Cabovedot  
    Xk_S_Ccircumflex : constant X_Key_Sym := 16#02C6#; -- XK_Ccircumflex  
    Xk_S_Gabovedot   : constant X_Key_Sym := 16#02D5#; -- XK_Gabovedot  
    Xk_S_Gcircumflex : constant X_Key_Sym := 16#02D8#; -- XK_Gcircumflex  
    Xk_S_Ubreve      : constant X_Key_Sym := 16#02DD#; -- XK_Ubreve  
    Xk_S_Scircumflex : constant X_Key_Sym := 16#02DE#; -- XK_Scircumflex  
    Xk_Cabovedot     : constant X_Key_Sym := 16#02E5#; -- XK_cabovedot  
    Xk_Ccircumflex   : constant X_Key_Sym := 16#02E6#; -- XK_ccircumflex  
    Xk_Gabovedot     : constant X_Key_Sym := 16#02F5#; -- XK_gabovedot  
    Xk_Gcircumflex   : constant X_Key_Sym := 16#02F8#; -- XK_gcircumflex  
    Xk_Ubreve        : constant X_Key_Sym := 16#02FD#; -- XK_ubreve  
    Xk_Scircumflex   : constant X_Key_Sym := 16#02FE#; -- XK_scircumflex  

end Xlbt_Key_Defs_Latin3;  

