with Xlbt_Key;  
use Xlbt_Key;  

package Xlbt_Key_Defs_Latin4 is  
------------------------------------------------------------------------------  
-- X Library Key Symbol Definitions - Latin4  
--  
-- Xlbt_Key_Defs_Latin4 - Definitions of the various pre-defined X Key Symbols  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
--------------------------------------------------------------------------  
--   Latin 4  
--   Byte 3 = 3  
------------------------------------------------------------------------------  

    Xk_Kra         : constant X_Key_Sym := 16#03A2#; -- XK_kra  
    Xk_S_Rcedilla  : constant X_Key_Sym := 16#03A3#; -- XK_Rcedilla  
    Xk_S_Itilde    : constant X_Key_Sym := 16#03A5#; -- XK_Itilde  
    Xk_S_Lcedilla  : constant X_Key_Sym := 16#03A6#; -- XK_Lcedilla  
    Xk_S_Emacron   : constant X_Key_Sym := 16#03AA#; -- XK_Emacron  
    Xk_S_Gcedilla  : constant X_Key_Sym := 16#03AB#; -- XK_Gcedilla  
    Xk_S_Tslash    : constant X_Key_Sym := 16#03AC#; -- XK_Tslash  
    Xk_Rcedilla    : constant X_Key_Sym := 16#03B3#; -- XK_rcedilla  
    Xk_Itilde      : constant X_Key_Sym := 16#03B5#; -- XK_itilde  
    Xk_Lcedilla    : constant X_Key_Sym := 16#03B6#; -- XK_lcedilla  
    Xk_Emacron     : constant X_Key_Sym := 16#03BA#; -- XK_emacron  
    Xk_Gcedilla    : constant X_Key_Sym := 16#03BB#; -- XK_gcedilla  
    Xk_Tslash      : constant X_Key_Sym := 16#03BC#; -- XK_tslash  
    Xk_S_Eng       : constant X_Key_Sym := 16#03BD#; -- XK_ENG  
    Xk_Eng         : constant X_Key_Sym := 16#03BF#; -- XK_eng  
    Xk_S_Amacron   : constant X_Key_Sym := 16#03C0#; -- XK_Amacron  
    Xk_S_Iogonek   : constant X_Key_Sym := 16#03C7#; -- XK_Iogonek  
    Xk_S_Eabovedot : constant X_Key_Sym := 16#03CC#; -- XK_Eabovedot  
    Xk_S_Imacron   : constant X_Key_Sym := 16#03CF#; -- XK_Imacron  
    Xk_S_Ncedilla  : constant X_Key_Sym := 16#03D1#; -- XK_Ncedilla  
    Xk_S_Omacron   : constant X_Key_Sym := 16#03D2#; -- XK_Omacron  
    Xk_S_Kcedilla  : constant X_Key_Sym := 16#03D3#; -- XK_Kcedilla  
    Xk_S_Uogonek   : constant X_Key_Sym := 16#03D9#; -- XK_Uogonek  
    Xk_S_Utilde    : constant X_Key_Sym := 16#03DD#; -- XK_Utilde  
    Xk_S_Umacron   : constant X_Key_Sym := 16#03DE#; -- XK_Umacron  
    Xk_Amacron     : constant X_Key_Sym := 16#03E0#; -- XK_amacron  
    Xk_Iogonek     : constant X_Key_Sym := 16#03E7#; -- XK_iogonek  
    Xk_Eabovedot   : constant X_Key_Sym := 16#03EC#; -- XK_eabovedot  
    Xk_Imacron     : constant X_Key_Sym := 16#03EF#; -- XK_imacron  
    Xk_Ncedilla    : constant X_Key_Sym := 16#03F1#; -- XK_ncedilla  
    Xk_Omacron     : constant X_Key_Sym := 16#03F2#; -- XK_omacron  
    Xk_Kcedilla    : constant X_Key_Sym := 16#03F3#; -- XK_kcedilla  
    Xk_Uogonek     : constant X_Key_Sym := 16#03F9#; -- XK_uogonek  
    Xk_Utilde      : constant X_Key_Sym := 16#03FD#; -- XK_utilde  
    Xk_Umacron     : constant X_Key_Sym := 16#03FE#; -- XK_umacron  

end Xlbt_Key_Defs_Latin4;  

