with Xlbt_Key;  
use Xlbt_Key;  

package Xlbt_Key_Defs_Special is  
------------------------------------------------------------------------------  
-- X Library Key Symbol Definitions - Special  
--  
-- Xlbt_Key_Defs_Special - Definitions of the various pre-defined X Key Symbols  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
------------------------------------------------------------------------------  
--  Special  
--  Byte 3 = 9  
------------------------------------------------------------------------------  

    Xk_Blank          : constant X_Key_Sym := 16#09DF#;  
    Xk_Soliddiamond   : constant X_Key_Sym := 16#09E0#;  
    Xk_Checkerboard   : constant X_Key_Sym := 16#09E1#;  
    Xk_Ht             : constant X_Key_Sym := 16#09E2#;  
    Xk_Ff             : constant X_Key_Sym := 16#09E3#;  
    Xk_Cr             : constant X_Key_Sym := 16#09E4#;  
    Xk_Lf             : constant X_Key_Sym := 16#09E5#;  
    Xk_Nl             : constant X_Key_Sym := 16#09E8#;  
    Xk_Vt             : constant X_Key_Sym := 16#09E9#;  
    Xk_Lowrightcorner : constant X_Key_Sym := 16#09EA#;  
    Xk_Uprightcorner  : constant X_Key_Sym := 16#09EB#;  
    Xk_Upleftcorner   : constant X_Key_Sym := 16#09EC#;  
    Xk_Lowleftcorner  : constant X_Key_Sym := 16#09ED#;  
    Xk_Crossinglines  : constant X_Key_Sym := 16#09EE#;  
    Xk_Horizlinescan1 : constant X_Key_Sym := 16#09EF#;  
    Xk_Horizlinescan3 : constant X_Key_Sym := 16#09F0#;  
    Xk_Horizlinescan5 : constant X_Key_Sym := 16#09F1#;  
    Xk_Horizlinescan7 : constant X_Key_Sym := 16#09F2#;  
    Xk_Horizlinescan9 : constant X_Key_Sym := 16#09F3#;  
    Xk_Leftt          : constant X_Key_Sym := 16#09F4#;  
    Xk_Rightt         : constant X_Key_Sym := 16#09F5#;  
    Xk_Bott           : constant X_Key_Sym := 16#09F6#;  
    Xk_Topt           : constant X_Key_Sym := 16#09F7#;  
    Xk_Vertbar        : constant X_Key_Sym := 16#09F8#;  

end Xlbt_Key_Defs_Special;  

