with Xlbt_Region3;  

package Xlbt_Region2 is  
------------------------------------------------------------------------------  
-- X Library Regions - Extended User Interface  
--  
-- Xlbt_Region2 - Structures for working with regions of images/screens/windows  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1987 - 1989 by Digital Equipment Corporation, Maynard, Mass.  
-- Copyright 1987 - 1989 by Massachusetts Institute of Technology,  
--                          Cambridge, Massachusetts.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of Digital, MIT, or Rational  
-- not be used in advertising or publicity pertaining to distribution of  
-- the software without specific, written prior permission.  
--  
-- Digital, MIT, and Rational disclaim all warranties with regard to this  
-- software, including all implied warranties of merchantability and fitness,  
-- in no event shall Digital, MIT, or Rational be liable for any special,  
-- indirect or consequential damages or any damages whatsoever resulting from  
-- loss of use, data or profits, whether in an action of contract, negligence  
-- or other tortious action, arising out of or in connection with the use or  
-- performance of this software.  
------------------------------------------------------------------------------  

--
    package R3 renames Xlbt_Region3;  

------------------------------------------------------------------------------  
-- X_Box_Rec  
------------------------------------------------------------------------------  

    subtype X_Box_Rec   is R3.X_Box_Rec;  
    subtype X_Box_Array is R3.X_Box_Array;  
    subtype X_Box_List  is R3.X_Box_List;  

    function "=" (A, B : X_Box_Rec)  return Boolean renames R3."=";  
    function "=" (A, B : X_Box_List) return Boolean renames R3."=";  

    procedure Free_X_Box_List (List : in out X_Box_List)  
        renames R3.Free_X_Box_List;  

------------------------------------------------------------------------------  
-- X_Region - clip regions  
------------------------------------------------------------------------------  

    subtype X_Region_Rec is R3.X_Region_Rec;  

end Xlbt_Region2;  

