package Xlbt_Screen_Saver is  
------------------------------------------------------------------------------  
-- X Library Screen Saver  
--  
-- Xlbp_Screen_Saver - Control of the server Screen-Saver facility  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
------------------------------------------------------------------------------  
-- X_Screen_Saver_Blanking  
------------------------------------------------------------------------------  

    type X_Screen_Saver_Blanking is (Dont_Prefer_Blanking,  
                                     Prefer_Blanking,  
                                     Default_Blanking);  

--/ if Length_Clauses then  
    for X_Screen_Saver_Blanking'Size use 8;  
--/ end if;  

    None_X_Screen_Saver_Blanking : constant X_Screen_Saver_Blanking :=  
       X_Screen_Saver_Blanking'Val (0);  

------------------------------------------------------------------------------  
-- X_Screen_Saver_Exposures  
------------------------------------------------------------------------------  

    type X_Screen_Saver_Exposures is (Dont_Allow_Exposures,  
                                      Allow_Exposures,  
                                      Default_Exposures);  

--/ if Length_Clauses then  
    for X_Screen_Saver_Exposures'Size use 8;  
--/ end if;  

    None_X_Screen_Saver_Exposures : constant X_Screen_Saver_Exposures :=  
       X_Screen_Saver_Exposures'Val (0);  

------------------------------------------------------------------------------  
-- X_Screen_Saver_Mode - for Force_Screen_Saver  
------------------------------------------------------------------------------  

    type X_Screen_Saver_Mode is (Screen_Saver_Reset,      -- Turn it off  
                                 Screen_Saver_Active);    -- Turn it on  

--/ if Length_Clauses then  
    for X_Screen_Saver_Mode'Size use 8;  
--/ end if;  

end Xlbt_Screen_Saver;  

