with Xlbt_Text3;  

package Xlbt_Text is  
------------------------------------------------------------------------------  
-- X Library Text Drawing - Normal User Interface  
--  
-- Xlbt_Text - Types dealing with drawn text  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
    package T3 renames Xlbt_Text3;  

------------------------------------------------------------------------------  
-- X_Text_Item  
------------------------------------------------------------------------------  

    subtype X_Text_Item_Array is T3.X_Text_Item_Array;  
    subtype X_Text_Item_List  is T3.X_Text_Item_List;  

    None_X_Text_Item_List : X_Text_Item_List renames T3.None_X_Text_Item_List;  

    procedure Free_X_Text_Item_List (List : in out X_Text_Item_List)  
        renames T3.Free_X_Text_Item_List;  

------------------------------------------------------------------------------  
-- X_Text_Item16  
------------------------------------------------------------------------------  

    subtype X_Text_Item16_Array is T3.X_Text_Item16_Array;  
    subtype X_Text_Item16_List  is T3.X_Text_Item16_List;  

    None_X_Text_Item16_List : X_Text_Item16_List  
        renames T3.None_X_Text_Item16_List;  

    procedure Free_X_Text_Item16_List (List : in out X_Text_Item16_List)  
        renames T3.Free_X_Text_Item16_List;  

end Xlbt_Text;  

