with Puz_Puzzle;  
use Puz_Puzzle;  

with Xlbt_Arithmetic;  
use Xlbt_Arithmetic;  
with Xlbt_Basic;  
use Xlbt_Basic;  
with Xlbt_String;  
use Xlbt_String;  

package Puz_Main is  

    Dpy                 : X_Display;  
    Create_New_Colormap : Boolean := False;  
    Gc                  : X_Gc;  
    Puzzle_Colormap     : X_Colormap;  
    Rect_Gc             : X_Gc;  
    Screen              : X_Screen_Number;  

    function  Puzzle_Pending return S_Natural;  
    procedure Flush_Logging;  
    procedure Process_Events;  
    procedure Log_Move_Space (First_X, First_Y, Last_X, Last_Y : S_Long;  
                              Dir : Direction);  
    procedure Repaint_Tiles;  

    procedure Main  
                 (Display      : X_String := "";     -- X server to use  
                  Geometry     : X_String := "";     -- geometry of window  
                  Size         : String   := "";     -- "4x4"; size in squares  
                  Speed        : Natural  := 0;      -- tiles/second to move  
                  New_Colormap : Boolean  := False); -- create a new colormap  

end Puz_Main;  

