with Xlbt_String;  
use Xlbt_String;  

package body Xlbt_Hint3 is  
------------------------------------------------------------------------------  
-- X Library Window Manager Hints - Full Interface  
--  
-- Xlbt_Hint3 - Structures used to give hints to window managers.  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1987 - 1989 by Digital Equipment Corporation, Maynard, Mass.  
-- Copyright 1987 - 1989 by Massachusetts Institute of Technology,  
--                          Cambridge, Massachusetts.  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of Digital, MIT, or Rational  
-- not be used in advertising or publicity pertaining to distribution of  
-- the software without specific, written prior permission.  
--  
-- Digital, MIT, and Rational disclaim all warranties with regard to this  
-- software, including all implied warranties of merchantability and fitness,  
-- in no event shall Digital, MIT, or Rational be liable for any special,  
-- indirect or consequential damages or any damages whatsoever resulting from  
-- loss of use, data or profits, whether in an action of contract, negligence  
-- or other tortious action, arising out of or in connection with the use or  
-- performance of this software.  
------------------------------------------------------------------------------  

--
    procedure Free_X_Class_Hint (Hint : in out X_Class_Hint) is  
    begin  

        Free_X_String_Pointer (Hint.Res_Name);  
        Free_X_String_Pointer (Hint.Res_Class);  

    end Free_X_Class_Hint;  

--
end Xlbt_Hint3;  

