package Xlbt_Input_Focus is  
------------------------------------------------------------------------------  
-- X Library Input Focus  
--  
-- Xlbt_Input_Focus - Input focus control  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
------------------------------------------------------------------------------  
-- X_Revert_Focus_Mode - Used in X_Set_Input_Focus, X_Get_Input_Focus  
------------------------------------------------------------------------------  

    type X_Revert_Focus_Mode is (Revert_To_None,  
                                 Revert_To_Pointer_Root,  
                                 Revert_To_Parent);  

--/ if Length_Clauses then  
    for X_Revert_Focus_Mode'Size use 8;  
--/ end if;  

    None_X_Revert_Focus_Mode : constant X_Revert_Focus_Mode :=  
       X_Revert_Focus_Mode'Val (0);  

end Xlbt_Input_Focus;  

