with Xlbt_Key;  
use Xlbt_Key;  

package Xlbt_Key_Defs_Apl is  
------------------------------------------------------------------------------  
-- X Library Key Symbol Definitions - APL  
--  
-- Xlbt_Key_Defs_Apl - Definitions of the various pre-defined X Key Symbols  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
------------------------------------------------------------------------------  
--  APL  
--  Byte 3 = b  
------------------------------------------------------------------------------  

    Xk_Leftcaret  : constant X_Key_Sym := 16#0BA3#;  
    Xk_Rightcaret : constant X_Key_Sym := 16#0BA6#;  
    Xk_Downcaret  : constant X_Key_Sym := 16#0BA8#;  
    Xk_Upcaret    : constant X_Key_Sym := 16#0BA9#;  
    Xk_Overbar    : constant X_Key_Sym := 16#0BC0#;  
    Xk_Downtack   : constant X_Key_Sym := 16#0BC2#;  
    Xk_Upshoe     : constant X_Key_Sym := 16#0BC3#;  
    Xk_Downstile  : constant X_Key_Sym := 16#0BC4#;  
    Xk_Underbar   : constant X_Key_Sym := 16#0BC6#;  
    Xk_Jot        : constant X_Key_Sym := 16#0BCA#;  
    Xk_Quad       : constant X_Key_Sym := 16#0BCC#;  
    Xk_Uptack     : constant X_Key_Sym := 16#0BCE#;  
    Xk_Circle     : constant X_Key_Sym := 16#0BCF#;  
    Xk_Upstile    : constant X_Key_Sym := 16#0BD3#;  
    Xk_Downshoe   : constant X_Key_Sym := 16#0BD6#;  
    Xk_Rightshoe  : constant X_Key_Sym := 16#0BD8#;  
    Xk_Leftshoe   : constant X_Key_Sym := 16#0BDA#;  
    Xk_Lefttack   : constant X_Key_Sym := 16#0BDC#;  
    Xk_Righttack  : constant X_Key_Sym := 16#0BFC#;  

end Xlbt_Key_Defs_Apl;  

