with Xlbt_Key;  
use Xlbt_Key;  
with Xlbt_Key_Defs_Apl;  
with Xlbt_Key_Defs_Arabic;  
with Xlbt_Key_Defs_Cyrillic;  
with Xlbt_Key_Defs_Greek;  
with Xlbt_Key_Defs_Hebrew;  
with Xlbt_Key_Defs_Katakana;  
with Xlbt_Key_Defs_Latin1;  
with Xlbt_Key_Defs_Latin2;  
with Xlbt_Key_Defs_Latin3;  
with Xlbt_Key_Defs_Latin4;  
with Xlbt_Key_Defs_Misc;  
with Xlbt_Key_Defs_Publishing;  
with Xlbt_Key_Defs_Special;  
with Xlbt_Key_Defs_Technical;  

package Xlbt_Key_Defs is  
------------------------------------------------------------------------------  
-- X Library Key Symbol Definitions  
--  
-- Xlbt_Key_Defs - Definitions of the various pre-defined X Key Symbols  
------------------------------------------------------------------------------  
-- Copyright 1989 - 1991 by Rational, Santa Clara, California.  
-- Copyright 1985 - 1989 by the Massachusetts Institute of Technology  
--  
--                  All Rights Reserved.  
--  
-- Permission to use, copy, modify, and distribute this software and its  
-- documentation for any purpose and without fee is hereby granted,  
-- provided that the above copyright notice(s) appear in all copies and that  
-- both that copyright notice(s) and this permission notice appear in  
-- supporting documentation, and that the names of MIT or Rational not be  
-- used in advertising or publicity pertaining to distribution of the software  
-- without specific, written prior permission.  
--  
-- MIT and Rational disclaim all warranties with regard to this software,  
-- including all implied warranties of merchantability and fitness, in no  
-- event shall MIT or Rational be liable for any special, indirect or  
-- consequential damages or any damages whatsoever resulting from loss of use,  
-- data or profits, whether in an action of contract, negligence or other  
-- tortious action, arising out of or in connection with the use or performance  
-- of this software.  
------------------------------------------------------------------------------  

--
    package Apl        renames Xlbt_Key_Defs_Apl;  
    package Arabic     renames Xlbt_Key_Defs_Arabic;  
    package Cyrillic   renames Xlbt_Key_Defs_Cyrillic;  
    package Greek      renames Xlbt_Key_Defs_Greek;  
    package Hebrew     renames Xlbt_Key_Defs_Hebrew;  
    package Katakana   renames Xlbt_Key_Defs_Katakana;  
    package Latin1     renames Xlbt_Key_Defs_Latin1;  
    package Latin2     renames Xlbt_Key_Defs_Latin2;  
    package Latin3     renames Xlbt_Key_Defs_Latin3;  
    package Latin4     renames Xlbt_Key_Defs_Latin4;  
    package Misc       renames Xlbt_Key_Defs_Misc;  
    package Publishing renames Xlbt_Key_Defs_Publishing;  
    package Special    renames Xlbt_Key_Defs_Special;  
    package Technical  renames Xlbt_Key_Defs_Technical;  

end Xlbt_Key_Defs;  

