with Xlbt_Proc_Var;  
use Xlbt_Proc_Var;  
with Xlbt_String;  
use Xlbt_String;  

with Test_Io;  
use Test_Io;  

with Exe_100;  
use Exe_100;  

package body Exe_104_Pk is  

------------------------------------------------------------------------------  
-- Test Procedure Variables - for Procedure types  
------------------------------------------------------------------------------  

--
    package Test_Fixed_Type is  
        procedure Zot;  
    end Test_Fixed_Type;  

    package body Test_Fixed_Type is  

        Arg1 : Fixed_Type;  
        Arg2 : Fixed_Type;  
        Arg3 : Fixed_Type;  

        Arg4 : Fixed_Type;  
        package Fixed_Type_Test_Proc_Inout is  
           new Test_Proc_Inout (Fixed_Type, Arg1);  
        package Fixed_Type_Test_Proc_In is new Test_Proc_In (Fixed_Type);  
        package Fixed_Type_Test_Proc_In_In is  
           new Test_Proc_In_In (Fixed_Type, Fixed_Type);  
        package Fixed_Type_Test_Proc_In_In_In is  
           new Test_Proc_In_In_In (Fixed_Type, Fixed_Type, Fixed_Type);  
        package Fixed_Type_Test_Proc_In_In_In_In is  
           new Test_Proc_In_In_In_In  
                  (Fixed_Type, Fixed_Type, Fixed_Type, Fixed_Type);  
        package Fixed_Type_Test_Proc_In10 is  
           new Test_Proc_In10 (Fixed_Type, Fixed_Type, Fixed_Type, Fixed_Type,  
                               Fixed_Type, Fixed_Type, Fixed_Type,  
                               Fixed_Type, Fixed_Type, Fixed_Type);  
        package Fixed_Type_Test_Proc_In_In_In_Out_Out is  
           new Test_Proc_In_In_In_Out_Out (Fixed_Type, Fixed_Type, Fixed_Type,  
                                           Fixed_Type, Fixed_Type, Arg1, Arg2);  
        package Fixed_Type_Test_Proc_In_In_Out_Out is  
           new Test_Proc_In_In_Out_Out  
                  (Fixed_Type, Fixed_Type, Fixed_Type, Fixed_Type, Arg1, Arg2);  

        procedure Zot is  
        begin  
            Fixed_Type_Test_Proc_Inout.Zot;  
            Fixed_Type_Test_Proc_In.Zot;  
            Fixed_Type_Test_Proc_In_In.Zot;  
            Fixed_Type_Test_Proc_In_In_In.Zot;  
            Fixed_Type_Test_Proc_In_In_In_In.Zot;  
            Fixed_Type_Test_Proc_In10.Zot;  
            Fixed_Type_Test_Proc_In_In_In_Out_Out.Zot;  
            Fixed_Type_Test_Proc_In_In_Out_Out.Zot;  
        end Zot;  

    end Test_Fixed_Type;  

--
    procedure Test_Procedure_Variable is  
    begin  

        Test_Fixed_Type.Zot;  

        Put_Line ("Exe_104 is done.");  

    end Test_Procedure_Variable;  

end Exe_104_Pk;  

