with Xlbt_Proc_Var;  
use Xlbt_Proc_Var;  
with Xlbt_String;  
use Xlbt_String;  

with Test_Io;  
use Test_Io;  

with Exe_100;  
use Exe_100;  

package body Exe_107_Pk is  

------------------------------------------------------------------------------  
-- Test Procedure Variables - for Procedure types  
------------------------------------------------------------------------------  

--
    package Test_Unconstrained_Record_Type is  
        procedure Zot;  
    end Test_Unconstrained_Record_Type;  

    package body Test_Unconstrained_Record_Type is  

        Arg1 : Unconstrained_Record_Type (10);  
        Arg2 : Unconstrained_Record_Type (10);  

        package Unconstrained_Record_Type_Test_Proc_Inout            is  
           new Test_Proc_Inout (Unconstrained_Record_Type, Arg1);  
        package Unconstrained_Record_Type_Test_Proc_In               is  
           new Test_Proc_In (Unconstrained_Record_Type);  
        package Unconstrained_Record_Type_Test_Proc_In_In            is  
           new Test_Proc_In_In (Unconstrained_Record_Type,  
                                Unconstrained_Record_Type);  
        package Unconstrained_Record_Type_Test_Proc_In_In_In         is  
           new Test_Proc_In_In_In (Unconstrained_Record_Type,  
                                   Unconstrained_Record_Type,  
                                   Unconstrained_Record_Type);  
        package Unconstrained_Record_Type_Test_Proc_In_In_In_In      is  
           new Test_Proc_In_In_In_In (Unconstrained_Record_Type,  
                                      Unconstrained_Record_Type,  
                                      Unconstrained_Record_Type,  
                                      Unconstrained_Record_Type);  
        package Unconstrained_Record_Type_Test_Proc_In10             is  
           new Test_Proc_In10 (Unconstrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Unconstrained_Record_Type);  
        package Unconstrained_Record_Type_Test_Proc_In_In_In_Out_Out is  
           new Test_Proc_In_In_In_Out_Out  
                  (Unconstrained_Record_Type, Unconstrained_Record_Type,  
                   Unconstrained_Record_Type, Unconstrained_Record_Type,  
                   Unconstrained_Record_Type, Arg1, Arg2);  
        package Unconstrained_Record_Type_Test_Proc_In_In_Out_Out    is  
           new Test_Proc_In_In_Out_Out  
                  (Unconstrained_Record_Type, Unconstrained_Record_Type,  
                   Unconstrained_Record_Type,  
                   Unconstrained_Record_Type, Arg1, Arg2);  

        procedure Zot is  
        begin  
            Unconstrained_Record_Type_Test_Proc_Inout.Zot;  
            Unconstrained_Record_Type_Test_Proc_In.Zot;  
            Unconstrained_Record_Type_Test_Proc_In_In.Zot;  
            Unconstrained_Record_Type_Test_Proc_In_In_In.Zot;  
            Unconstrained_Record_Type_Test_Proc_In_In_In_In.Zot;  
            Unconstrained_Record_Type_Test_Proc_In10.Zot;  
            Unconstrained_Record_Type_Test_Proc_In_In_In_Out_Out.Zot;  
            Unconstrained_Record_Type_Test_Proc_In_In_Out_Out.Zot;  
        end Zot;  

    end Test_Unconstrained_Record_Type;  

--
    procedure Test_Procedure_Variable is  
    begin  

        Test_Unconstrained_Record_Type.Zot;  

        Put_Line ("Exe_107 is done.");  

    end Test_Procedure_Variable;  

end Exe_107_Pk;  

