with Xlbt_Proc_Var;  
use Xlbt_Proc_Var;  
with Xlbt_String;  
use Xlbt_String;  

with Test_Io;  
use Test_Io;  

with Exe_100;  
use Exe_100;  

package body Exe_110_Pk is  

------------------------------------------------------------------------------  
-- Test Procedure Variables - for Procedure types  
------------------------------------------------------------------------------  

--
    package Test_Mixed_Types is  
        procedure Zot;  
    end Test_Mixed_Types;  

    package body Test_Mixed_Types is  

        package Mixed_Types_Test_Proc_In10 is  
           new Test_Proc_In10 (Access_Type, Enumeration_Type,  
                               Boolean_Type, Fixed_Type, Float_Type,  
                               Float_Type, Constrained_Record_Type,  
                               Unconstrained_Record_Type,  
                               Constrained_String_Type,  
                               Unconstrained_String_Type);  

        Arg1 : Unconstrained_Record_Type (10);  
        Arg2 : Unconstrained_String_Type (1 .. 10);  

        package Mixed_Types_Test_Proc_In_In_In_Out_Out is  
           new Test_Proc_In_In_In_Out_Out  
                  (Access_Type, Unconstrained_Record_Type,  
                   Unconstrained_String_Type, Unconstrained_Record_Type,  
                   Unconstrained_String_Type, Arg1, Arg2);  

        procedure Zot is  
        begin  
            Mixed_Types_Test_Proc_In10.Zot;  
            Mixed_Types_Test_Proc_In_In_In_Out_Out.Zot;  
        end Zot;  

    end Test_Mixed_Types;  

--
    procedure Test_Procedure_Variable is  
    begin  

        Test_Mixed_Types.Zot;  

        Put_Line ("Exe_110 is done.");  

    end Test_Procedure_Variable;  

end Exe_110_Pk;  

