with Xlbt_Proc_Var;  
use Xlbt_Proc_Var;  
with Xlbt_String;  
use Xlbt_String;  

with Test_Io;  
use Test_Io;  

with Exe_100;  
use Exe_100;  

package body Exe_303_Pk is  

------------------------------------------------------------------------------  
-- Test Procedure Variables - for functions returning unconstrained types  
------------------------------------------------------------------------------  

--
    package Test_Mixed_Types is  
        procedure Zot;  
    end Test_Mixed_Types;  
    package body Test_Mixed_Types is  

        Arg1 : Unconstrained_Record_Type (5);  
        Arg2 : Unconstrained_String_Type (1 .. 10);  

        package Unconstrained_String_Type_Test_Func_In                is  
           new Test_Func_In (Float_Type, Constrained_Record_Type,  
                             Value, Value, Value, Value);  
        package Unconstrained_String_Type_Test_Func_In_In_In_X_String is  
           new Test_Func_In_In_In_X_String  
                  (Access_Type, Enumeration_Type, Float_Type,  
                   Value, Value, Value, Value, Value, Value);  
        package Unconstrained_String_Type_Test_Func_In_In_In          is  
           new Test_Func_In_In_In (Float_Type, Fixed_Type, Boolean_Type,  
                                   Constrained_Record_Type, Value, Value,  
                                   Value, Value, Value, Value, Value, Value);  
        package Unconstrained_String_Type_Test_Func_In5               is  
           new Test_Func_In5 (Access_Type, Enumeration_Type, Boolean_Type,  
                              Fixed_Type, Float_Type, Constrained_String_Type,  
                              Value, Value, Value, Value, Value, Value,  
                              Value, Value, Value, Value, Value, Value);  
        package Unconstrained_String_Type_Test_Func_In10              is  
           new Test_Func_In10 (Access_Type, Enumeration_Type, Boolean_Type,  
                               Fixed_Type, Float_Type, X_String, Float_Type,  
                               Access_Type, Float_Type, Enumeration_Type,  
                               Constrained_Record_Type, Value, Value, Value,  
                               Value, Value, Value, Value, Value, Value, Value,  
                               Value, Value, Value, Value, Value, Value,  
                               Value, Value, Value, Value, Value, Value);  

        procedure Zot is  
        begin  
            Unconstrained_String_Type_Test_Func_In.Zot;  
            Unconstrained_String_Type_Test_Func_In_In_In_X_String.Zot;  
            Unconstrained_String_Type_Test_Func_In_In_In.Zot;  
            Unconstrained_String_Type_Test_Func_In5.Zot;  
            Unconstrained_String_Type_Test_Func_In10.Zot;  
        end Zot;  

    end Test_Mixed_Types;  

--
    procedure Test_Procedure_Variable is  
    begin  

        Test_Mixed_Types.Zot;  

        Put_Line ("Exe_303 is done.");  

    end Test_Procedure_Variable;  

end Exe_303_Pk;  

